// ©2023 Batty Bovine Productions, LLC. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"

#include "Nodes/ComboActionGraphNode.h"
#include "UObject/Object.h"

#include "ComboActionGraphNode_StartNode.generated.h"


/**
 * Combo Action Start Node.
 * 
 * This Node will be added to the graph automatically when created.
 * This node cannot be created manually.
 * This node cannot be deleted.
 * Does not implement any logic.
 */
UCLASS(ClassGroup=("Combo Input|Action"), DisplayName="Start Node", meta=(ToolTip="Combo Action Tree: Start Node"))
class COMBOINPUT_API UComboActionGraphNode_StartNode : public UComboActionGraphNode
{
	GENERATED_BODY()

public:

	UComboActionGraphNode_StartNode();

#if WITH_EDITOR
	virtual FText GetDescription_Implementation() const override;
	
	virtual bool ValidateNode(TArray<FText>& ValidationsMessages, const bool RichFormat);
#endif
};
